Package org.apache.storm.container.cgroup.core

# Class CpusetCore

java.lang.Object
org.apache.storm.container.cgroup.core.CpusetCore

All Implemented Interfaces:
  `CgroupCore`

public class CpusetCore extends Object implements CgroupCore

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CPUSET_CPU_EXCLUSIVE`
  `static final String`
  `CPUSET_CPUS`
  `static final String`
  `CPUSET_MEM_EXCLUSIVE`
  `static final String`
  `CPUSET_MEM_HARDWALL`
  `static final String`
  `CPUSET_MEMORY_MIGRATE`
  `static final String`
  `CPUSET_MEMORY_PRESSURE`
  `static final String`
  `CPUSET_MEMORY_PRESSURE_ENABLED`
  `static final String`
  `CPUSET_MEMORY_SPREAD_PAGE`
  `static final String`
  `CPUSET_MEMORY_SPREAD_SLAB`
  `static final String`
  `CPUSET_MEMS`
  `static final String`
  `CPUSET_SCHED_LOAD_BALANCE`
  `static final String`
  `CPUSET_SCHED_RELAX_DOMAIN_LEVEL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CpusetCore(String dir)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int[]`
  `getCpus()`
  `int`
  `getMemPressure()`
  `int[]`
  `getMems()`
  `int`
  `getSchedRelaxDomainLevel()`
  `SubSystemType`
  `getType()`
  `boolean`
  `isCpuExclusive()`
  `boolean`
  `isMemExclusive()`
  `boolean`
  `isMemHardwall()`
  `boolean`
  `isMemMigrate()`
  `boolean`
  `isMemPressureEnabled()`
  `boolean`
  `isMemSpreadPage()`
  `boolean`
  `isMemSpreadSlab()`
  `boolean`
  `isSchedLoadBlance()`
  `static int[]`
  `parseNums(String outputStr)`
  `void`
  `setCpuExclusive(boolean flag)`
  `void`
  `setCpus(int[] nums)`
  `void`
  `setMemExclusive(boolean flag)`
  `void`
  `setMemHardwall(boolean flag)`
  `void`
  `setMemMigrate(boolean flag)`
  `void`
  `setMemPressureEnabled(boolean flag)`
  `void`
  `setMems(int[] nums)`
  `void`
  `setMemSpreadPage(boolean flag)`
  `void`
  `setMemSpreadSlab(boolean flag)`
  `void`
  `setSchedLoadBlance(boolean flag)`
  `void`
  `setSchedRelaxDomainLevel(int value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CPUSET_CPUS

    public static final String CPUSET_CPUS
    See Also:
      - Constant Field Values

  - ### CPUSET_MEMS

    public static final String CPUSET_MEMS
    See Also:
      - Constant Field Values

  - ### CPUSET_MEMORY_MIGRATE

    public static final String CPUSET_MEMORY_MIGRATE
    See Also:
      - Constant Field Values

  - ### CPUSET_CPU_EXCLUSIVE

    public static final String CPUSET_CPU_EXCLUSIVE
    See Also:
      - Constant Field Values

  - ### CPUSET_MEM_EXCLUSIVE

    public static final String CPUSET_MEM_EXCLUSIVE
    See Also:
      - Constant Field Values

  - ### CPUSET_MEM_HARDWALL

    public static final String CPUSET_MEM_HARDWALL
    See Also:
      - Constant Field Values

  - ### CPUSET_MEMORY_PRESSURE

    public static final String CPUSET_MEMORY_PRESSURE
    See Also:
      - Constant Field Values

  - ### CPUSET_MEMORY_PRESSURE_ENABLED

    public static final String CPUSET_MEMORY_PRESSURE_ENABLED
    See Also:
      - Constant Field Values

  - ### CPUSET_MEMORY_SPREAD_PAGE

    public static final String CPUSET_MEMORY_SPREAD_PAGE
    See Also:
      - Constant Field Values

  - ### CPUSET_MEMORY_SPREAD_SLAB

    public static final String CPUSET_MEMORY_SPREAD_SLAB
    See Also:
      - Constant Field Values

  - ### CPUSET_SCHED_LOAD_BALANCE

    public static final String CPUSET_SCHED_LOAD_BALANCE
    See Also:
      - Constant Field Values

  - ### CPUSET_SCHED_RELAX_DOMAIN_LEVEL

    public static final String CPUSET_SCHED_RELAX_DOMAIN_LEVEL
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CpusetCore

    public CpusetCore(String dir)

- ## Method Details

  - ### parseNums

    public static int[] parseNums(String outputStr)

  - ### getType

    public SubSystemType getType()
    Specified by:
      `getType` in interface `CgroupCore`

  - ### getCpus

    public int[] getCpus() throws IOException
    Throws:
      `IOException`

  - ### setCpus

    public void setCpus(int[] nums) throws IOException
    Throws:
      `IOException`

  - ### getMems

    public int[] getMems() throws IOException
    Throws:
      `IOException`

  - ### setMems

    public void setMems(int[] nums) throws IOException
    Throws:
      `IOException`

  - ### isMemMigrate

    public boolean isMemMigrate() throws IOException
    Throws:
      `IOException`

  - ### setMemMigrate

    public void setMemMigrate(boolean flag) throws IOException
    Throws:
      `IOException`

  - ### isCpuExclusive

    public boolean isCpuExclusive() throws IOException
    Throws:
      `IOException`

  - ### setCpuExclusive

    public void setCpuExclusive(boolean flag) throws IOException
    Throws:
      `IOException`

  - ### isMemExclusive

    public boolean isMemExclusive() throws IOException
    Throws:
      `IOException`

  - ### setMemExclusive

    public void setMemExclusive(boolean flag) throws IOException
    Throws:
      `IOException`

  - ### isMemHardwall

    public boolean isMemHardwall() throws IOException
    Throws:
      `IOException`

  - ### setMemHardwall

    public void setMemHardwall(boolean flag) throws IOException
    Throws:
      `IOException`

  - ### getMemPressure

    public int getMemPressure() throws IOException
    Throws:
      `IOException`

  - ### isMemPressureEnabled

    public boolean isMemPressureEnabled() throws IOException
    Throws:
      `IOException`

  - ### setMemPressureEnabled

    public void setMemPressureEnabled(boolean flag) throws IOException
    Throws:
      `IOException`

  - ### isMemSpreadPage

    public boolean isMemSpreadPage() throws IOException
    Throws:
      `IOException`

  - ### setMemSpreadPage

    public void setMemSpreadPage(boolean flag) throws IOException
    Throws:
      `IOException`

  - ### isMemSpreadSlab

    public boolean isMemSpreadSlab() throws IOException
    Throws:
      `IOException`

  - ### setMemSpreadSlab

    public void setMemSpreadSlab(boolean flag) throws IOException
    Throws:
      `IOException`

  - ### isSchedLoadBlance

    public boolean isSchedLoadBlance() throws IOException
    Throws:
      `IOException`

  - ### setSchedLoadBlance

    public void setSchedLoadBlance(boolean flag) throws IOException
    Throws:
      `IOException`

  - ### getSchedRelaxDomainLevel

    public int getSchedRelaxDomainLevel() throws IOException
    Throws:
      `IOException`

  - ### setSchedRelaxDomainLevel

    public void setSchedRelaxDomainLevel(int value) throws IOException
    Throws:
      `IOException`